## net.i2p.router.transport
Class CommSystemFacadeImpl

    java.lang.Object
      net.i2p.router.CommSystemFacade
          net.i2p.router.transport.CommSystemFacadeImpl

All Implemented Interfaces:
  Service

public class CommSystemFacadeImpl
extends CommSystemFacade

Field Summary

Fields inherited from class net.i2p.router.CommSystemFacade
`STATUS_DIFFERENT, STATUS_OK, STATUS_REJECT_UNSOLICITED, STATUS_UNKNOWN`

Constructor Summary
`CommSystemFacadeImpl(RouterContext context)`

Method Summary
`int` `countActivePeers()`
`java.util.Set` `createAddresses()` Create the set of RouterAddress structures based on the router's config
`TransportBid` `getBid(OutNetMessage msg)`
`java.util.List` `getBids(OutNetMessage msg)`
`java.util.List` `getMostRecentErrorMessages()`
`TransportBid` `getNextBid(OutNetMessage msg)`
`short` `getReachabilityStatus()` Determine under what conditions we are remotely reachable.
`void` `processMessage(OutNetMessage msg)`
`void` `recheckReachability()`
`void` `renderStatusHTML(java.io.Writer out)`
`void` `restart()` Perform a soft restart.
`void` `shutdown()` Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully.
`void` `startup()` Instruct the service that it should start normal operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommSystemFacadeImpl

    public CommSystemFacadeImpl(RouterContext context)

Method Detail

### startup

    public void startup()

  Description copied from interface: `Service`
  Instruct the service that it should start normal operation. This call DOES block until the service is ready.

### shutdown

    public void shutdown()

  Description copied from interface: `Service`
  Instruct the service that the router is shutting down and that it should do whatever is necessary to go down gracefully. It should not depend on other components at this point. This call DOES block.

### restart

    public void restart()

  Description copied from interface: `Service`
  Perform a soft restart.

### countActivePeers

    public int countActivePeers()

  Overrides:
    `countActivePeers` in class `CommSystemFacade`

### getBids

    public java.util.List getBids(OutNetMessage msg)

### getBid

    public TransportBid getBid(OutNetMessage msg)

### getNextBid

    public TransportBid getNextBid(OutNetMessage msg)

### processMessage

    public void processMessage(OutNetMessage msg)

  Specified by:
    `processMessage` in class `CommSystemFacade`

### getMostRecentErrorMessages

    public java.util.List getMostRecentErrorMessages()

  Overrides:
    `getMostRecentErrorMessages` in class `CommSystemFacade`

### getReachabilityStatus

    public short getReachabilityStatus()

  Description copied from class: `CommSystemFacade`
  Determine under what conditions we are remotely reachable.

  Overrides:
    `getReachabilityStatus` in class `CommSystemFacade`

### recheckReachability

    public void recheckReachability()

  Overrides:
    `recheckReachability` in class `CommSystemFacade`

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out)
                          throws java.io.IOException

  Specified by:
    `renderStatusHTML` in interface `Service`
  Overrides:
    `renderStatusHTML` in class `CommSystemFacade`
  Throws:
    `java.io.IOException`

### createAddresses

    public java.util.Set createAddresses()

  Description copied from class: `CommSystemFacade`
  Create the set of RouterAddress structures based on the router's config

  Overrides:
    `createAddresses` in class `CommSystemFacade`